"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createAuth0 = void 0;
var _createAuthenticator = require("./createAuthenticator");
var _createGroupAuthorizer = require("./createGroupAuthorizer");
var _createIdentityType = require("./createIdentityType");
var _createAdminUsersHooks = require("./createAdminUsersHooks");
var _extendTenancy = require("./extendTenancy");
const createAuth0 = config => {
  const identityType = config.identityType || "admin";
  const graphQLIdentityType = config.graphQLIdentityType || "Auth0Identity";
  return [(0, _createAuthenticator.createAuthenticator)({
    domain: config.domain,
    getIdentity: config.getIdentity
  }), (0, _createGroupAuthorizer.createGroupAuthorizer)({
    identityType,
    getGroupSlug: config.getGroupSlug,
    inheritGroupsFromParentTenant: config.inheritGroupsFromParentTenant,
    canAccessTenant: config.canAccessTenant
  }), (0, _createIdentityType.createIdentityType)({
    identityType,
    name: graphQLIdentityType
  }), (0, _extendTenancy.extendTenancy)(), (0, _createAdminUsersHooks.createAdminUsersHooks)()];
};
exports.createAuth0 = createAuth0;

//# sourceMappingURL=createAuth0.js.map