import { ContextPlugin } from "@webiny/handler";
import { Context } from "./types";
export type GroupSlug = string | undefined;
export interface GroupAuthorizerConfig<TContext extends Context = Context> {
    /**
     * Specify an `identityType` if you want to only run this authorizer for specific identities.
     */
    identityType?: string;
    /**
     * Get a group slug to load permissions from.
     */
    getGroupSlug?: (context: TContext) => Promise<GroupSlug> | GroupSlug;
    /**
     * If a security group is not found, try loading it from a parent tenant (default: true).
     */
    inheritGroupsFromParentTenant?: boolean;
    /**
     * Check whether the current identity is authorized to access the current tenant.
     */
    canAccessTenant?: (context: TContext) => boolean | Promise<boolean>;
}
export declare const createGroupAuthorizer: <TContext extends Context = Context>(config: GroupAuthorizerConfig<TContext>) => ContextPlugin<TContext>;
